Skip to main content
GET
/
organizations
/
{organizationId}
/
deployments
/
{deploymentId}
/
deploys
List deploys for a deployment
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/deployments/{deploymentId}/deploys \
  --header 'Authorization: Bearer <token>'
{
  "deploys": [
    {
      "createdAt": "2022-11-22T04:37:12Z",
      "deploymentId": "clmh57jtm000008lb58fe2wmv",
      "id": "clvetru2w000201mowqwua63n",
      "imageRepository": "https://my-image-repository",
      "imageTag": "my-image-tag",
      "isDagDeployEnabled": true,
      "status": "DEPLOYED",
      "type": "IMAGE_AND_DAG",
      "airflowVersion": "2.7.2, if airflow version is not found, it will return NA",
      "astroRuntimeVersion": "9.1.0",
      "bundleMountPath": "<string>",
      "bundleUploadUrl": "<string>",
      "bundles": [
        {
          "bundleType": "<string>",
          "deployId": "<string>",
          "mountPath": "<string>",
          "currentVersion": "<string>",
          "desiredVersion": "<string>"
        }
      ],
      "createdBySubject": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      },
      "dagTarballVersion": "2024-01-12T18:32:20.5898930Z",
      "dagsUploadUrl": "https://astroproddagdeploy.windows.core.net/clmh59gt0000308lbgswe5fvh/clmh57jtm000008lb58fe2wmv",
      "description": "My deploy description",
      "rollbackFromId": "clvcz1lrq000101oitxtp276e",
      "updatedAt": "2022-11-22T04:37:12Z",
      "updatedBySubject": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      }
    }
  ],
  "limit": 123,
  "offset": 123,
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to which the Deployment belongs.

deploymentId
string
required

The Deployment's ID.

Query Parameters

offset
integer
default:0

The number of results to skip before returning values.

Required range: x >= 0
limit
integer
default:20

The maximum number of results to return.

Required range: 0 <= x <= 1000

Response

OK

deploys
object[]
required

A list of deploys in the current page.

limit
integer
required

The maximum number of deploys in one page.

offset
integer
required

The offset of the current page of deploys.

totalCount
integer
required

The total number of deploys.